﻿@page "/state/create"

<h3>Create State</h3>

<p>
    <a href="/country">
        <span class="oi oi-arrow-left"></span> Back
    </a>
</p>

<NextHotelForm Model="Form"
               OnValidSubmit="OnValidSubmit"
               SuccessMessage="SuccessMessage">
    <FormComponent>
        <TypeaheadInput @bind-Value="Form.CountryId"></TypeaheadInput>

        <div class="form-group">
            <label for="name">Name</label>
            <InputText id="name" type="text" class="form-control" @bind-Value="Form.Name"></InputText>
            <ValidationMessage For="() => Form.Name"></ValidationMessage>
        </div>
    </FormComponent>
</NextHotelForm>